lchgrp
link
Filesystem Functions
PHP Manual

# lchown

(PHP 5 >= 5.1.2)

lchown — Changes user ownership of symlink

### Description

bool lchown ( string `$filename` , mixed `$user` )

Attempts to change the owner of the symlink `filename` to user `user` .

Only the superuser may change the owner of a symlink.

### Parameters

`filename`

  Path to the file.

`user`

  User name or number.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: This function will not work on remote files as the file to be examined must be accessible via the server's filesystem.

> Note: When safe mode is enabled, PHP checks whether the files or directories being operated upon have the same UID (owner) as the script that is being executed.

> Note: This function is not implemented on Windows platforms.

### See Also

- chgrp()
- lchgrp()
- chgrp()
- chmod()

lchgrp
link
Filesystem Functions
PHP Manual